#
# EasyIPConfig
# 
# Copyright (C) 2006 Tsung-Hsiang Chang <vgod@csie.ntu.edu.tw>
# Copyright (C) 2006 Rong-En Fan <rafan@infor.org>
#
# This source file is subject to the new BSD license that is available on 
# http://vgod.tw/projects/EasyIPConfig/License.txt.

from distutils.core import setup
import py2exe

setup(options = {"py2exe": {
                          "compressed": 1,
                          "optimize": 2,
                          "bundle_files": 1
                }},
      zipfile = None,
      windows=[{ "script": "easy-ip-cfg.py",
                "icon_resources": [(1, "ip-cfg.ico")],
                "description": "Easy IP Config",
                "dest_base": "Easy IP Config",
                "version": "0.9.2.RC2",
                "copyright": "New BSD License",
                "company_name": "vgod"
              }],
      data_files = [ ("", ["ip-cfg.ico", "CHANGES.txt", "License.txt" ]),
         ("source", ["easy-ip-cfg.py", "ip-cfg.ico", "WindowsRegistry.py", "setup.py"])
      ]
)
